[ARVADOS] updated: 1.3.0-857-geb52e0cd0

Git user git at public.curoverse.com
Fri May 31 15:30:28 UTC 2019


Summary of changes:
 sdk/cwl/test_with_arvbox.sh     | 31 +++++++++++++++++++++----------
 sdk/cwl/tests/test_container.py |  4 ++--
 2 files changed, 23 insertions(+), 12 deletions(-)

       via  eb52e0cd0b7e6e7c479fec820b3c19566984c79c (commit)
      from  472090e584f8ce68c97e082aba08c79f2a242848 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit eb52e0cd0b7e6e7c479fec820b3c19566984c79c
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date:   Fri May 31 11:28:21 2019 -0400

    15028: Fix test on python3.  Add conformance-v1.1 to run_in_arvbox suites.
    
    Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>

diff --git a/sdk/cwl/test_with_arvbox.sh b/sdk/cwl/test_with_arvbox.sh
index 37eb5171e..5d98d747f 100755
--- a/sdk/cwl/test_with_arvbox.sh
+++ b/sdk/cwl/test_with_arvbox.sh
@@ -53,7 +53,7 @@ while test -n "$1" ; do
             shift ; shift
             ;;
         -h|--help)
-            echo "$0 [--no-reset-container] [--leave-running] [--config dev|localdemo] [--tag docker_tag] [--build] [--pythoncmd python(2|3)] [--suite (integration|conformance)]"
+            echo "$0 [--no-reset-container] [--leave-running] [--config dev|localdemo] [--tag docker_tag] [--build] [--pythoncmd python(2|3)] [--suite (integration|conformance-v1.0|conformance-v1.1)]"
             exit
             ;;
         *)
@@ -97,18 +97,29 @@ fi
 
 mkdir -p /tmp/cwltest
 cd /tmp/cwltest
-if ! test -d common-workflow-language ; then
-  git clone https://github.com/common-workflow-language/common-workflow-language.git
+
+if [[ "$suite" = "conformance-v1.0" ]] ; then
+   if ! test -d common-workflow-language ; then
+     git clone https://github.com/common-workflow-language/common-workflow-language.git
+   fi
+   cd common-workflow-language
+elif [[ "$suite" = "conformance-v1.1" ]] ; then
+   if ! test -d cwl-v1.1 ; then
+     git clone https://github.com/common-workflow-language/cwl-v1.1.git
+   fi
+   cd cwl-v1.1
+fi
+
+if [[ "$suite" != "integration" ]] ; then
+  git pull
 fi
-cd common-workflow-language
-git pull
+
 export ARVADOS_API_HOST=localhost:8000
 export ARVADOS_API_HOST_INSECURE=1
 export ARVADOS_API_TOKEN=\$(cat /var/lib/arvados/superuser_token)
 
-
 if test -n "$build" ; then
-   /usr/src/arvados/build/build-dev-docker-jobs-image.sh
+  /usr/src/arvados/build/build-dev-docker-jobs-image.sh
 elif test "$tag" = "latest" ; then
   arv-keepdocker --pull arvados/jobs $tag
 else
@@ -131,11 +142,11 @@ EOF2
 chmod +x /tmp/cwltest/arv-cwl-containers
 
 env
-if [[ "$suite" = "conformance" ]] ; then
-   exec ./run_test.sh RUNNER=/tmp/cwltest/arv-cwl-${runapi} EXTRA=--compute-checksum $@
-elif [[ "$suite" = "integration" ]] ; then
+if [[ "$suite" = "integration" ]] ; then
    cd /usr/src/arvados/sdk/cwl/tests
    exec ./arvados-tests.sh $@
+else
+   exec ./run_test.sh RUNNER=/tmp/cwltest/arv-cwl-${runapi} EXTRA=--compute-checksum $@
 fi
 EOF
 
diff --git a/sdk/cwl/tests/test_container.py b/sdk/cwl/tests/test_container.py
index c270b9d38..0750693f5 100644
--- a/sdk/cwl/tests/test_container.py
+++ b/sdk/cwl/tests/test_container.py
@@ -958,7 +958,7 @@ class TestWorkflow(unittest.TestCase):
             }))
         mockc.open().__enter__().write.assert_has_calls([mock.call(subwf)])
         mockc.open().__enter__().write.assert_has_calls([mock.call(
-bytes(b'''{
+'''{
   "fileblub": {
     "basename": "token.txt",
     "class": "File",
@@ -966,7 +966,7 @@ bytes(b'''{
     "size": 0
   },
   "sleeptime": 5
-}'''))])
+}''')])
 
     # The test passes no builder.resources
     # Hence the default resources will apply: {'cores': 1, 'ram': 1024, 'outdirSize': 1024, 'tmpdirSize': 1024}

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list